Frage Installieren Sie Funken 2.6.3


Ich habe Ubuntu 12.04 64 Bit. Wenn ich versuche, funke 2.6.3 zu starten, stehe ich auf den nächsten Fehler:

admini@localhost:~/Spark$ sh starter 
Preparing JRE ...
starter: 150: starter: bin/unpack200: not found
Error unpacking jar files. Aborting.
You might need administrative priviledges for this operation.

in Version 11.10 läuft reibungslos. Nicht sicher, was passiert.


2
2018-05-22 00:12


Ursprung


Ich denke, du musst root sein, um das zu tun. Versuchen Sie sudo -s Ihr Passwort und führen Sie das Skript aus


Antworten:


Wenn Sie 64bit Ubuntu verwenden, müssen Sie das installieren ia32-libs Install ia32-libs Bibliothek, die der Funke für die Arbeit, in einem Terminal-Typ zu installieren
sudo apt-get install ia32-libs
Starten Sie das System neu und geben Sie schließlich das Verzeichnis an, in dem Sie Spark installiert haben und die notwendigen Berechtigungen zum Lesen und Ausführen von Benutzern, denen ich die Berechtigung erteilt habe
sudo chmod 777 Spark
aber die Berechtigungen, die Sie sehen, passen. Arbeitete mit mir.


3
2017-11-09 14:00





Arbeitete für mich nach der Installation von openjdk-6-jre: i386 und icedtea plugin (aber ich weiß nicht, ob das wirklich notwendig ist)

Lass es mich wissen, wenn das hilft!


0
2018-06-05 15:46





Ich habe das ausgeführt und es hat mir geholfen:

mv jre jre.not sed -i 's/\/lib\/windows/\/lib\/linux/g' Spark/Spark

Sehen http://dogma.swiftspirit.co.za/archives/tag/jre.


0
2017-12-19 00:54